//
//  main.cpp
//  Mating
//
//  Created by Chris King on 11/10/16.
//  Copyright © 2016 Chris King. All rights reserved.
//

#include <iostream>
#include "medusa_A.h"
#include "medusa_B.h"


using namespace std;

int main(void)
{
    
    int p1, p2, q1, q2;
    
    cout << "Enter p1 : ";
    cin >> p1;
    cout << "Enter q1 : ";
    cin >> q1;
    cout << "Enter p2 : ";
    cin >> p2;
    cout << "Enter q2 : ";
    cin >> q2;
    
    Medusa m(p1*q2, p2*q1, q1*q2);
    ofstream f, params;
    f.open("medusa_txt");
    f << m;
    f.close();
    
    params.open("parameters_txt");
    
    char r;
    
    int n;
    
    cout << "Enter number of iterates or q to quit ";
    try {
        while (cin >> n)
        {
            for (int i = 0; i < n; i++)
            {
                m.iterate();
                cout << "a=" << m.param_a() << " b=" << m.param_b() << endl;
                params << "/ " << m.param_a() << " " << m.param_b() << endl;
            }
            f.open("medusa_txt");
            f << m;
            f.close();
            cout << "Enter number of iterates or q to quit ";
        }
    }
    catch (Corruption)
    {
        cout << "Sorry, iteration cannot continue" << endl;
    }
    
    params << '*' << endl;
    params.close();
    return (0);
    
} // main