#ifndef MEDUSA_A_H
#define MEDUSA_A_H

#include "ccomplex.h"
#include "dynarray2"


class Corruption { };

int find_circle(CComplex, CComplex, CComplex, CComplex&, ddouble&, CComplex&);

int is_homotopic (CComplex a, CComplex b, CComplex star,
		      DynArray<CComplex>& distinguished_pts,
		      CComplex& new_point);

int can_prune (CComplex a, CComplex b, CComplex c, CComplex star,
	       DynArray<CComplex>& distinguished_pts);

int homotopic_switch( CComplex, CComplex, 
		     CComplex, CComplex, DynArray<CComplex>& );


#endif
