function aliquotcher(nums,nums2,myfl)
%produces iteration charts of the aliquot sequence for incresing numbers
%nums and nums2 give start and finish integers
%blue chart shows orbit length to get to first repeat
%green chart shows period length
%if myfl=1 instead does scatter plot of maxima giving the hailstone diagram
%if myv(1:3)' at line 57 maxnumber in sequence is plotted

newplot
huge=2^32;
myv=zeros(3,nums2-nums);
for i=nums:nums2
    iter=i;
    myv(3,i-nums+1)=iter;
    loop=1;
    loopf=0;
    loopv(loop)=iter;
    while loopf==0
        loop=loop+1;
        loopj=0;
        %iter=divisor(iter,1,1);        
        iter=divisor(iter,1,1);
        if iter>myv(3,i-nums+1)
            myv(3,i-nums+1)=iter;
        end
         if abs(iter)>huge
            loopf=1;
            loopj=1;
        end
        loopv(loop)=iter;
        j=1;
        while loopj==0
            if iter~=loopv(j); 
                j=j+1;
            else
                loopf=1;
                loopj=1;
            end
            if j==loop
                loopj=1;
            end
         end
     end
    myv(1,i-nums+1)=loop;
    if iter>huge
        myv(2,i-nums+1)=0;
    else
        myv(2,i-nums+1)=loop-j; 
    end
end
mym=myv';
mym=mym(:,1);
if myfl    
    scatter(linspace(nums,nums2,length(mym)),mym,1);
else
    s=size(myv);
    plot(linspace(nums,nums2,length(mym)),myv(1:2,:)');
    %axis([nums nums2 0 4.2*10^9]);
    axis([nums nums2 0 42]);
end