function o=divisor(n,pw,a)
%fast divisor sum function using prime factorization
%n=number, pw=power of divisor sum, a=1 subtracts n (aliquot sequence)
%gives Inf if n>2^32 (integer overflow)
if n>2^32
    o=Inf;
else
    f=factor(n);
    k=1;
    ln=length(f);
    p=ones(2,ln);
    q=zeros(1,ln);
    p(1,k)=f(1);
    for j=2:ln;
        if f(j)~=f(j-1)
            k=k+1;
            p(1,k)=f(j);
        else
            p(2,k)=p(2,k)+1;
        end
    end
    s=0;
    po=1;
    while q(k)<=p(2,k)
        %q
        %k
        t=1;
        for j=1:k
            t=t*p(1,j)^q(j);
        end
        if p==1
            s=s+t;
        else
            s=s+t.^pw;
        end
        q(po)=q(po)+1;
        while q(po)>p(2,po)&&po<=k
            q(po)=0;
            po=po+1;
            if po<=k
                q(po)=q(po)+1;
            end
            if po>k
                break
            end
            if q(po)<=p(2,po)
                po=1;
            end
        end
        if po>k
            break
        end
    %     if q(2)>2
    %         break
    %     end
    end
    if a==1
        if pw==1
            o=s-n;
        else
            o=s-n.^pw;
        end
    else
        o=s;
    end
end
        
    
    
    