load fives %generates finite period five L-function series with zeros on the critical line
prd=2*pi/log(5); %periodic zeros of 5,1
c5=prd:prd:250;
c5=0.+i.*c5; %give them complex values
%c5b=[imag(c5);real(c5)];
%c11b=[imag(c11);real(c11)];
%c51=[c11b c5b];
%c51=sort(c51,1);
h=linspace(1/2,1/2,length(c11));
c11=h+i.*imag(c11);
c51=sort([c5 c11]); %now integrate with the zeros of zeta
fheader=[2.000000 80.000000 0.000000 0.000000 0.000000 0.000000 0.000000 4.000000 1.000000 0.000000 1.000000 0.000000 0.000000 1.700000 31.000000 -2.000000 64.000000 0.000000 1.000000 0.000000 0.000000 18.000000 0.000000 0.000000 0.000000 1.000000 0.000000 2.000000 0.000000];
clf
l=min([length(c52),length(c53),length(c54)]);
for j=1:l
    line([imag(c52(j)) imag(c53(j)) imag(c54(j))], [100 200 300]);
end
% for j=1:l
%     if c51(2,j)==0
%         line([c51(1,j) imag(c52(j)) ], [0 100],'Color','r');
%     else        
%         line([c51(1,j) imag(c52(j)) ], [0 100]);
%     end
% end
for j=1:l
    if real(c51(j))==0
        line([imag(c51(j)) imag(c52(j)) ], [0 100],'Color',[1 0 0]);
    else        
        line([imag(c51(j)) imag(c52(j)) ], [0 100]);
    end
end
ms=31; %number of zeros to include in the inveersion
zr=zeros(6,ms);
h=linspace(1/2,1/2,ms);
zr(1,:)=c51(1:ms);
zr(2,:)=h+i.*imag(c52(1:ms));
zr(3,:)=h+i.*imag(c53(1:ms));
zr(4,:)=h+i.*imag(c54(1:ms));
zr(5,:)=h+i.*imag(c52b(1:ms));
zr(6,:)=h+i.*imag(c54b(1:ms));
stp=0;
for pos=0:0.01:1
    x=ones(ms);
    for j=1:floor(ms/2)
        for k=1:ms
            x(j,k)=k^-(pos*zr(2,j)+(1-pos)*zr(4,j));
            x(ms-j,k)=k^-(pos*zr(5,j)+(1-pos)*zr(6,j));      
        end
    end
    xx=inv(x);
    a=xx(:,ms)/xx(1,ms);
   % a=conj(a);

    for j=1:ms
        fprintf('%4.5f+%4.5f*I,',real(a(j)),imag(a(j)));
    end
    fprintf('\n');
    for j=1:ms
        v=0;
        if j<=floor(ms/2)
            z=(pos*zr(2,j)+(1-pos)*zr(4,j));
        else
            z=(pos*zr(5,j-floor(ms/2))+(1-pos)*zr(6,j-floor(ms/2))); 
        end
        for k=1:ms
            v=v+a(k)*k^-z;
        end
        fprintf('%4.5f+%4.5f*I,',real(v),imag(v));
    end
    fprintf('\n');
    clf;
    its=ms;
    sm=ones(1,its);
%     for j=2:its-1
%         sm(j)=sm(j-1)+abs(a(j))^0.2*a(j)/abs(a(j));
%         pq=0;
%         pp=(1+cos(pi*j/its))/2;
%         pr=(1-cos(pi*j/its))/2;
%         line([real(sm(j)) real(sm(j+1))],[imag(sm(j)) imag(sm(j+1))],'Color',[pp pq pr]);
%     end
     plot(abs(a),'g');
 %   axis([-10 10 -10 10]);
    getframe;
  %  saveas(gcf,strcat(num2str(stp),'.tif'),'tiffn');
    of=fopen(strcat('ainv',num2str(stp),'.txt'),'w');
    for j=1:length(fheader)
        fprintf(of,'%s ',num2str(fheader(j)));
    end
    fprintf(of,'%s ',num2str(ms));
    fprintf(of,'%s ',num2str(0));    
    for j=1:length(a);
        fprintf(of,'%s ',num2str(real(a(j))));
        fprintf(of,'%s ',num2str(imag(a(j))));
    end
    fclose(of);
    stp=stp+1;
  
end
