function primeorbitp(b,n,mode,cl,stt,fin,scal,m)
%b=complex value, n=primes upper limit, mode as below
%cl clear figure, stt, fin start and finish values for curve
%scal scal for figure defauting to auto
%m is start value for calculting primes so the
%latter part of a fimction can be investigated
%so m,n governs the primes used and stt, fin the section of the curve
%e.g. primeorbitp2(0.6+14.1347i,26300000,6,1,1,60000,0,1)
if cl
    clf
end
p=primes(n);
if nargin<=4
    stt=1;
end
if nargin<=5
    fin=length(p);
else
    if fin>length(p)
        fin=length(p);
    end
end
if nargin<=7
    m=1;
end
loprim=find(p>=m,1);
y=ones(1,length(p));
z=y;
x=y;
%b=0.5+14.1347i;
%z=0;
for i=loprim:fin-1
    x(i)=i;
    y(i)=1/(1-p(i)^(-b));
    %y(i)=1/(1-p(i)^(-b));
    z(i+1)=z(i)*y(i);
    if (mode==1)&&(i>=stt)
    line([real(z(i)) real(z(i+1))], [imag(z(i)) imag(z(i+1))],'color','r');
    getframe;
    end
    if (mode==2)&&(i>stt)&&(i<fin-2)
    line([real(y(i-1)) real(y(i))], [imag(y(i-1)) imag(y(i))],'color','r');
    getframe;
    end
end
if (mode==3)
    plot(z(stt:fin));
end
if (mode==4)
    plot(y(stt:fin-1));
end
if (mode==5)
    plot(abs(z(stt:fin)));
end
if (mode==6)
    plot(abs(y(stt:fin-1)),'g');
    %plot(abs(y));
end
if (mode==7)
    %fprintf('*');
    plot(log(abs(z(stt:fin))));
    if 1
        hold on
        myc=-3.45;
        myd=5.4;
        mye=10^(-5);
        zz=myc+myd*sqrt(x*mye);
        plot(zz(stt:fin),'g');
        zz=myc-myd*sqrt(x*mye);
        plot(zz(stt:fin),'g');
    end
    hold off
end
if mod(mode,2)
    xpos=real(z(fin));
    ypos=imag(z(fin));
else
    xpos=real(y(fin));
    ypos=imag(y(fin));
end
if nargin<7||scal==0
    xlim('auto');
else
    xlim([xpos-scal xpos+scal]);
    ylim([ypos-scal ypos+scal]);
end
fprintf('primes=%d largest=%d y=%4.4f z=%4.4f\n',length(p),p(length(p)),abs(y(fin-1)),abs(z(fin)));
fprintf('min(z)=%4.4f av(log(z))=%4.4f\n',min(abs(z(stt:fin))),exp(mean(log(abs(z(stt:fin))))));

