function o=totient(n)
%Euler's totient function the number of integers z<=n coprime to n
f=factor(n);
k=1;
l=length(f);
p=ones(2,l);
p(1,k)=f(1);
for j=2:l;
    if f(j)~=f(j-1)
        k=k+1;
        p(1,k)=f(j);
    else
        p(2,k)=p(2,k)+1;
    end
end
o=1;
for j=1:k
    o=o*(p(1,j)-1)*p(1,j)^(p(2,j)-1);
end