function [v zz]=zeroseq2(zro,stps,mode,eta,xofs,yofs,fln)
% zro zroth zeta zero y coord stps= how many steps
%mode=-1 was searching for fluctuations ex 1/(1-2^(1-s))
%mode=0 generate vector v of iteration numbers
%mode=1 generate graph of iteration numbers
%mode=2,3 generate complex plot of iteration sequence 3 save mode 2 plots
%mode=4,5 plot real and imaginary parts 5 save
%eta=1 eta fn eta=0 zeta fn, 
%xofs, yofs offsets from zero(zro) coods.
%fln file number numbered automatically if n=0
%e.g. [v zz]=zeroseq2(20000,1,4,1);

if nargin <=4
    xofs=0;
    yofs=0;
    fln=0;
end
load zerosmat
close=0.005;
%clf
chkstps=5;
z=zeros(1,chkstps);
v=zeros(1,stps);
zz=zeros(1,60000);

for j=1:stps
    k=1;
    f=0;
    sw=-1;
    flg=1;
    cx=1/2+xofs;
    cy=zeros1(zro+j-1)+yofs;
    cz=cx+i*cy;
  %  cz=0.652157+997.847682i; %poison inserted to track a non critical zero
    while flg
        for m=chkstps:-1:1
          if k>m
            z(m+1)=z(m);
          end
        end
        sw=-sw;
  %      hld=sw/(1+3*(k-1))^cz;
        hld=sw/k^cz;
        z(1)=(f+hld/2);
        if ~eta
            z(1)=z(1)/(1-2^(1-cz));
        end
        zz(k)=z(1);
        f=f+hld;
        flg=0;
        for m=chkstps:-1:1
            if abs(z(m))>=close
                flg=1;            
            end
        end
        if flg==0
           v(j)=k;
        end
        k=k+1;
        if (xofs~=0||yofs~=0)
            if k>1000;%13.05*cy.^0.677;
                flg=0;
                %fprintf('%4.4f %4.4f\n',real(zz(k-1)),imag(zz(k-1)));
            end
        end
    end
    if mode==4||mode==5
        clf
        hold on
        plot(real(zz(1:k-1)));
        plot(imag(zz(1:k-1)),'r');
        plot(angle(zz(2:k-1)-zz(1:k-2)),'y');
        plot(20*abs(zz(2:k-1)-zz(1:k-2))-3,'g');
   %   plot(abs(zz(2:k-1)./abs(zz(2:k-1))-zz(1:k-2)./abs(zz(1:k-2)))-3,'g');
        ylim([-3.5 3.5]);
        plot(real(zz(1:k-1)));
        plot(imag(zz(1:k-1)),'r');
          hold off
        F = getframe(gca);
    end
    if mode==2||mode==3
         plot(real(zz(1:k-1)),imag(zz(1:k-1)));
         mx=min(real(zz));
         Mx=max(real(zz));
         my=min(imag(zz));
         My=max(imag(zz));
        if (Mx-mx)>(My-my)
            My=(my+My)/2+(Mx-mx)/2;
            my=(my+My)/2-(Mx-mx)/2;
        else
            Mx=(mx+Mx)/2+(My-my)/2;
            mx=(mx+Mx)/2-(My-my)/2;
        end
            axis([mx Mx my My]);
            %axis([-2.5 2.5 -2.5 2.5]);
        
       % text(mx,my,strcat('its=',num2str(k),' y=',num2str(zeros1(zro+j-1))));
      % text(mx+0.05*(Mx-mx),My-0.05*(My-my), strcat('y=',num2str(zeros1(zro+j-1))));
        F = getframe(gca);
    end
    if mode==3||mode==5
        if fln==0
            saveas(gcf, strcat(num2str(j),'.tif'),'tif');
        else
            saveas(gcf, strcat(num2str(fln),'.tif'),'tif');
        end
    end
   

end
if mode==1
    j=(zeros1(zro:zro+stps-1));
    plot(j,v);
    %plot(j,13.05*j.^0.677,'r');
end
if mode==0
    save uncomp1 v   
end
if mode==-1
    k=1;
    for j=2:length(v)-1
        if v(j)>v(j-1)&&v(j)>v(j+1)
            w(k)=j;
            %ws(k)=zeros1(j+2)-zeros1(j-2);
            ws(k)=zeros1(j);
            k=k+1;
        end
    end
    u=w(2:k-1)-w(1:k-2);
   % us=u.*ws(2:k-1);
   t=ws(2:k-1)-ws(1:k-2);
   % plot(u);
    plot(t);
    mea=mean(t)

end
prod=9.064692497253418;
zz=zz(1:k-1);
            
            
        
    
