function [zp zr y]=zerotest10(n,its,terms)
%plots the distribution of iterates of zeros for multiplicative mandelbrot
%checking for periodicity and return to the zero
%e.g. zerotest10(500,100,1000);
load zerosmat
y=zeros(1,n);
zp=y;
sg=y;
tiny=0.01;
for k=1:n
    fl=0;
    c=1/2+zeros1(k)*i;
    z=1000;
    for j=1:its
        if abs(z-c)<tiny
            z=0;
        else
            z=c*myzetas(z,terms);
        end
        if (abs(real(z))>10000000)||isnan(real(z))||isnan((imag(z)))
       % if (isnan(real(z))||isnan(imag(z)))
            j=0;
            break;
        end
        if j==4
            sg(k)=sign(real(z));
        end
        if j>2
            if abs(z-c)<tiny
                if ~fl
                    fl=j;
                else
                    zp(k)=j-fl;
                    j=its;
                    break;
                end
            end
        end
    end
    if j==its
        y(k)=z;
    else
        y(k)=1;
    end
end
zr=zeros1(1:n);
zr=zr';
%plot(log(abs(y)));
for k=1:n
    if y(k)~=1
        fprintf('%d %d %d %4.4f %4.4f %4.4f\n',k,zp(k),sg(k),zeros1(k),real(y(k)),imag(y(k)));
    end
end
clf
hold on
plot(zr,sg./2.-1,'r');
plot(zr,zp,'k');

%figure;
plot(zr,10+(imag(y)-zr)/100);
hold off