function cc=zerotest12(opt)
%gets the unreal criticals of zeta or eta
%opt=1 eta  =0 zeta
stps=20000;
x=linspace(13,500,stps);
cc=[];
for n=1/2:1/2:2
    c=getcrits(n,stps,x,opt);
    cc=[cc c];
end
cc=sort(cc);
for k=length(cc)-1:-1:1
    if abs(abs(cc(k+1))-abs(cc(k)))<0.01
        cc(k+1)=0;    
    end
end
cc=sort(cc);
for k=1:length(cc)
    if cc(k)~=0
        fprintf('z = %4.6f+%4.6fi, z(z) = %4.6f+%4.6fi\n',real(cc(k)),imag(cc(k)),real(zeta(cc(k))),imag(zeta(cc(k))));
    end
end
for k=1:length(cc)
    if cc(k)~=0
        break;
    end
end
cc=cc(k:length(cc));
plot(imag(cc),real(cc));

function c=getcrits(xx,stps,x,opt)
y=x;
v=[];
for j=1:stps
    if opt
        y(j)=abs(deta(xx+i*x(j)));
    else    
        y(j)=abs(dzeta(xx+i*x(j)));
    end
end
%plot(x,y);
for j=2:stps-1
    if y(j)<y(j-1)&&y(j)<y(j+1)
        v=[v x(j)];
    end
end
h=0.0000000001;
m=1;
for k=1:length(v)
    z=xx+v(k)*i;
    for j=1:20
        if opt
            z=z-h*deta(z)/(deta(z+h)-deta(z));
        else
            z=z-h*dzeta(z)/(dzeta(z+h)-dzeta(z));
        end
        %h=h/2;
        if real(z)<0||real(z)>3
            break
        end
    end
     if opt
        if deta(z)<0.01&&real(z)>0&&real(z)<3
            c(m)=z;
            m=m+1;
        end
     else
        if dzeta(z)<0.01&&real(z)>0&&real(z)<3
            c(m)=z;
            m=m+1;
        end
     end
end 

function z=deta(z)
z=2^(1-z)*log(2)*zeta(z)+(1-2^(1-z))*dzeta(z);
