function [M m]=zerotest3(zro,stps,cutof,sav,plt)
%looks for changes in the approach of sequence to 0
%prints maxima and minima and plots abs curve frame by frame
%e.g. zerotest3(20,20,1,0,1);
for j=0:stps-1
    [M m]=zerotest3b(zro+j,cutof,plt);
    getframe(gca);
    if sav
        saveas(gcf, strcat(num2str(j),'.tif'),'tif');
    end

end

function [M m]=zerotest3b(zro,cutof,plt)
[v zz]=zeroseq2(zro,1,0,1);
l=length(zz);
z2=(zz(1:l-1)+zz(2:l))/2;
z2=abs(z2(1:l-2)-z2(2:l-1));
mc=1;
Mc=1;
for k=2:l-3
   if z2(k)>z2(k+1)&&z2(k)>z2(k-1)
       M(Mc)=k;
       Mc=Mc+1;
   end
   if z2(k)<z2(k+1)&&z2(k)<z2(k-1)
       m(mc)=k;
       mc=mc+1;
   end
end
if plt
    plot(z2(cutof:length(z2)));
end
%plot(z2(cutof:floor(1.2*M(Mc-1))));
%ylim([0 0.5])
%xlim([0 1000]) 