/* MyView */

#import <Cocoa/Cocoa.h>

@interface MyView : NSView
{
	IBOutlet NSPopUpButton *myFunction;
    IBOutlet NSPopUpButton *altGamma;
    IBOutlet NSSlider *attractorSlider;
    IBOutlet id escapeOnly;
    IBOutlet NSPopUpButton *Coloring;
    IBOutlet NSTextField *ImagPart;
    IBOutlet NSTextField *RealPart;
    IBOutlet NSTextField *Scale;
	IBOutlet NSTextField *RealC;
    IBOutlet NSTextField *ImagC;
    IBOutlet NSSlider *zetaSlider;
	IBOutlet NSPopUpButton *ThdZeta;
    IBOutlet id dFn;
    IBOutlet id Hold;
   
	NSWindow * window;
    NSBitmapImageRep * myImage;
    volatile unsigned char * macbitmapData;
	unsigned char bitmapData[2048*1536*3];
	unsigned char bitmapDatasav[2048*1536*3];
	int mandelrepeat;
	NSRect frame;
    int num_threads;
    int max_dwells;
    NSLock *workLock;
	NSTimer *myTimer;
    volatile int lastLine;
    int lineTable[16384];
    int drawnTable[16384];
    int height;
	int mandel,fill;
    volatile int comp_sequence;
    volatile int total_dwells, acc_dwells;
    double viewX, viewY, viewStep, viewXf,viewStepf,viewXj,viewYj,viewStepj;
    double originX, originY, escapeRadius, zetaTerms, attractorTerms;
    id threadMenu;
    id dwellMenu;
    id randomizerSwitch;
	id fillSwitch;
    id originSwitch;
    id escapeRadiusSlider;
    id clearSwitch;
    NSPoint mouseDownPoint, mouseDragPoint;
    NSRect mouseDragRect;
    BOOL isSelecting, isDragging, orbtrap, esconly,chold,dz; 
	int altnGamma, thisfn, dzet, oldfn, oldesc;
	char *mystr;
	double Zrr,Zii, Zrr2, Zii2, Zrr3, Zii3;
	//NSinteger integer;
	//NSstring mst;
	int altcol,prms[7];
	double _Complex crits[10], coeffs[6];
	NSString *myfln;
	float movar[5003];

}
- (IBAction)doSave:(id)sender;
- (IBAction)doOpen:(id)sender;
- (IBAction)doDwellMenu:(id)sender;
- (IBAction)doReportButton:(id)sender;
- (IBAction)doResetOriginButton:(id)sender;
- (IBAction)doThreadMenu:(id)sender;
//- (IBAction)keyDown:(id)sender;
- (IBAction)resetButton:(id)sender;
- (IBAction)startButton:(id)sender;
- (IBAction)doMovie:(id)sender;
- (IBAction)doLoad:(id)sender;


@end
