function fig1(f,siz)
%plots the sinusiodal modulus-angle images of the zeta and xi functions in fig 1 
% fig1(1) gives the zeta function, fig1(2) gives the symmetric xi function
%other functions below can be set instead and the region and colouring
%scheme amended at will

nx = siz;
ny = siz;
ColorMset = zeros(ny,nx,3);
b=0.5+14.1347i;
 xmin=-40;
 xmax=40;
 ymin=-40;
 ymax=40;
kk=1;
wb = waitbar(0,'Please wait...');
for iy = 1:ny
  cy = ymin + iy*(ymax - ymin)/(ny - 1);
  for ix= 1:nx
    cx = xmin + ix*(xmax - xmin)/(nx - 1);
   c=complex(cx,cy);
   if f==2
    k=mygamma(c/2+1)*(c-1)*pi^(-c/2)*myzetas(c,2002);%*(c-35i-2)*(c-35i+2);
   else
    k=myzetas(c,2002);
   end
   %k=eulp(c,200);
   %k=mygamma(c);
   %k=myzetap(c);
   %k=euln(c,2000);
   
    if k == 0 
        ColorMset(iy,ix,:) = 0;
    else
        %ColorMset(iy,ix,1) = (1+cos(kk*real(k)))/2;
        ColorMset(iy,ix,1) = abs(sin(kk*abs(k)));
        %ColorMset(iy,ix,3) = abs(sin(kk*sqrt(abs(k))));
        %ColorMset(iy,ix,3) = (1+cos(kk*imag(k)))/2;
        %ColorMset(iy,ix,2) = (1+cos(4*angle(k)))/2;
        ColorMset(iy,ix,2) = (1+sin(angle(k)))/2;
    end
  end
  waitbar(iy/ny,wb)
end
close(wb);
image(ColorMset);
imwrite(ColorMset,'mand.jpg','jpg','Quality',100);