function gaussmRI(i,siz)
%plots the Julia set image on right of fig 8
%i=no of steps of iteration of Gaussian wave function method
nx = siz;
ny = siz;
cmat=zeros(nx,ny,2);
cmat2=zeros(nx,ny);
ColorMset = zeros(ny,nx,3);
scal=40;
xmin = -scal;
xmax = scal;
ymin = -scal;
ymax = scal;
wb = waitbar(0,'Please wait...');
for j=0:i
for iy = 1:ny
  cy = ymin + iy*(ymax - ymin)/(ny - 1);
  for ix= 1:nx
    cx = xmin + ix*(xmax - xmin)/(nx - 1);
    if j==0 
        c=complex(cx,cy);
    else
        c=complex(cmat(ix,iy,1),cmat(ix,iy,2));
    end
      s=10; 
      ss=40;
    ColorMset(iy,ix,1) = abs(cos(j*pi/s))*exp(-(ss*abs(c)^2));
    ColorMset(iy,ix,2) = abs(sin(j*pi/s))*exp(-(ss*abs(c)^2));
    ColorMset(iy,ix,3) = abs(cos(j*pi/s+pi/4))*exp(-(ss*abs(c)^2));
    c=myzetas(c,2002);
    cmat(ix,iy,1)=real(c);
    cmat(ix,iy,2)=imag(c);
    if exp(-(ss*abs(c)^2))>cmat2(ix,iy)
        cmat2(ix,iy)= exp(-(ss*abs(c)^2));
    end
  end
end
waitbar(j/i,wb)
image(ColorMset);
imwrite(ColorMset,strcat(num2str(j+10),'.jpg'),'jpg','Quality',100);
end
close(wb);
s=1;
for ix=1:nx
    for iy=1:ny
        c=cmat2(ix,iy);
        ColorMset(iy,ix,1) = abs(sin(c*pi*s));
        ColorMset(iy,ix,2) = abs(sin(c*pi*s*5/4));
        ColorMset(iy,ix,3) = abs(sin(c*pi*s*3/2));
    end
end
image(ColorMset);
imwrite(ColorMset,'mand.jpg','jpg','Quality',100);