%generates an image of gaussian primes
nx = 120;
ny = 165;
na=nx*nx+ny*ny;
ColorMset = zeros(2*ny+1,2*nx+1,3);
kk=1;

for iy = -ny:ny
  for ix= -nx:nx
        n=ix*ix+iy*iy;
        if abs(ix)==1&&abs(iy)==1
            ColorMset(ny+iy+1,nx+1+ix,1) = 1;
        end
        if abs(ix)==0&&isprime(abs(iy))&&mod(abs(iy),4)==3
            ColorMset(ny+iy+1,nx+1+ix,2) = 1;
            ColorMset(ny+1+iy,nx+1+ix,1) = abs(iy)/ny;
         end
        if abs(iy)==0&&isprime(abs(ix))&&mod(abs(ix),4)==3
            ColorMset(ny+iy+1,nx+1+ix,2) = 1;
            ColorMset(ny+1+iy,nx+1+ix,1) = abs(ix)/nx;
         end
        if isprime(n)&&mod(n,4)==1
            ColorMset(ny+1+iy,nx+1+ix,3) = 1;
            ColorMset(ny+1+iy,nx+1+ix,1) = sqrt(n/na);
        end
  end
end
image(ColorMset);
imwrite(ColorMset,'ell37a.tif','tif');