function lindelof(n,m)
%plots lindelof conjecture that zeta grows 
%more slowly than any power of z
%n=spread of imaginary values, m=x resolution
z=zeros(1,m);
y=linspace(0,n,m);
for k=1:m
    z(k)=zeta(1/2+y(k)*i);
end
plot (y,abs(z),'k');

