%forms the pair correlation distribution using 10^5 zeros
clf
wid=800;
x=zeros(1,wid);
myzrs=100000;
zros=textread('zeros1b.txt','%f',myzrs);
av=(zros(length(zros))-zros(1))/(length(zros)-1);
full=4*av;
t=linspace(0,full,wid);
for k=1:6
    for j=1:myzrs-k

        gap=zros(j+k)-zros(j);
        pos=floor(wid*gap/full);
        if pos>=1&&pos<=wid
            x(pos)=x(pos)+1;
        end
    end
end
plot(t,x);
%plot(t,x,'ok','MarkerSize',1);
y=510*(1.-(sin(pi/av*t)/pi*av./t).^2);
hold on
plot(t,y,'r');
hold off