function primzeros(mode)
%graphs the distribution of zeros of zeta against GUE and GOE
%mode=1 compares prime and zero distributions
%mode=4 compares zero spacing and GUE and GOE graphs

clf
hold on
wid=840;
myzrs=20000;
zros=textread('zeros1b.txt','%f',myzrs);
prim=primes(10000);
j=1;
if mode==1
    while j<length(prim)&&prim(j)<wid
        line([prim(j) prim(j)],[1 10]);
        j=j+1;
    end
    j=1;
    while j<length(zros)&&zros(j)<wid
        line([zros(j) zros(j)],[11 20]);
        j=j+1;
    end
end
stt=100;
if mode>=3
    mx=0;
    for k=stt:myzrs-1
        if zros(k+1)-zros(k)>mx
            mx=zros(k+1)-zros(k);
        end
    end
    s=linspace(0,mx,wid);
    t=zeros(1,wid);
    for j=1:wid
        for k=stt:myzrs-1
            pos=floor((zros(k+1)-zros(k))/mx*wid);
            t(pos)=t(pos)+1/myzrs;
        end
    end
    t=t/max(t);
    plot(s,t)
end
if mode>=2
    ss=linspace(0,3.7,wid);
    p =0.86*(32./pi.^2).*ss.^2.*exp(-(4./pi).*ss.^2);
    plot(s,p,'r')
end
if mode>=4
    ss=linspace(0,3.7,wid);
    p =pi.*ss./2.*exp(-pi.*(ss.^2)./4);
    plot(s,p,'g')
end

hold off
    
    
    
