function f=myzetas(z,steps)
%zeta function using eta function and the Lanczos approximation to the
%gamma function. z=complex value, steps is how many steps in the sum
%sum copletes with a half term to improve convergence near x=0.
if nargin<2
    steps=2000;
end
zz=z;
if real(z)>100
    f=1;
    return
end
if real(z)<0
    z=1-z;
end
%steps=2002;
f=0;
sw=-1;
for i=1:steps
    sw=-sw;
    hold=sw/i^z;
    f=f+hold;
    if abs(hold)<.001
        break
    end
end
sw=-sw;
f=f+sw/(i+1)^z/2;
f=f/(1-2^(1-z));
if real(zz)<0
    f=2*(2*pi)^(-z)*cos(z*pi/2)*mygamma(z)*f;
end 