//Combines RZViewer bitmaps to form a new one
//To run this file from terminal put it in a folder, cd to the folder and input
//gcc -o rzo merge38.c -lm && ./rzo
//To run successive compiled versions type ./rzmovieo
//See: http://www.dhushara.com/DarkHeart/RZV/RZViewer.htm

#include <stdio.h>
#include<complex.h>
#include<math.h>
#include <stdlib.h> 
const char base[] = "merge";

int main(void)
{
FILE *mf,*inf;
char filename [ FILENAME_MAX ];
long k;
long ml;
float w,h=0;
double hold;
double *myv1, *myv2, *myv3, *myv4;

/*Scan file1*/
//inf=fopen("a.txt","r"); //You need to generate the bitmaps infile.txt by using RZViewer with the appropriate paraeter files first
inf=fopen("a.txt","r");
fscanf (inf, "%f", &w);
fscanf (inf, "%f", &h);
//printf("%f %f \n",w,h);
ml=(long)(2*w*h);
myv1 = calloc(ml,sizeof(double));
for (k=0;k<ml;k++)
	{
	fscanf (inf, "%lf", &hold);
	*(myv1+k)=hold;
	}
fclose(inf);

/*Scan file2*/
inf=fopen("b.txt","r"); // this is 19
fscanf (inf, "%f", &w);
fscanf (inf, "%f", &h);
//printf("%f %f \n",w,h);
ml=(long)(2*w*h);
myv2 = calloc(ml,sizeof(double));
for (k=0;k<ml;k++)
	{
	fscanf (inf, "%lf", &hold);
	*(myv2+k)=hold;
	}
fclose(inf);

/*Scan file3*/
inf=fopen("c.txt","r"); // this is m0
fscanf (inf, "%f", &w);
fscanf (inf, "%f", &h);
//printf("%f %f \n",w,h);
ml=(long)(2*w*h);
myv3 = calloc(ml,sizeof(double));
for (k=0;k<ml;k++)
	{
	fscanf (inf, "%lf", &hold);
	*(myv3+k)=hold;
	}
fclose(inf);

/*Scan file4*/
inf=fopen("d.txt","r"); // this is m0
fscanf (inf, "%f", &w);
fscanf (inf, "%f", &h);
//printf("%f %f \n",w,h);
ml=(long)(2*w*h);
myv4 = calloc(ml,sizeof(double));
for (k=0;k<ml;k++)
	{
	fscanf (inf, "%lf", &hold);
	*(myv4+k)=hold;
	}
fclose(inf);

for (k=0;k<ml;k++)
	{
	//*(myv1+k)=2.0/3*(*(myv1+k))+0*(*(myv2+k))+1.0/3*(*(myv3+k))+2.0/3*(*(myv4+k)); // gives m1 
	//*(myv1+k)=1.0/2*(*(myv1+k))-1.0/2*(*(myv2+k))+0*(*(myv3+k))+1.0*(*(myv4+k)); // gives m3 
	*(myv1+k)=-1.0/6*(*(myv1+k))+1.0/2*(*(myv2+k))-1.0/3*(*(myv3+k))-2.0/3*(*(myv4+k)); // gives m4 
	}

sprintf(filename, "%s.txt", base);
mf=fopen(filename,"w");
fprintf(mf,"%f ",w);
fprintf(mf,"%f ",h);
for (k=0;k<ml;k++)
	fprintf(mf,"%lf ",*(myv1+k));
fclose(mf);
free(myv1);
free(myv2);
free(myv3);
return 0;
}