/* MyView */

#import <Cocoa/Cocoa.h>

@interface MyView : NSView
{
    IBOutlet id Hold;
  	IBOutlet NSButton *logFn;
    IBOutlet NSTextField *fnTerms;
    IBOutlet NSPopUpButton *myFunction;
    IBOutlet NSPopUpButton *altGamma;
    IBOutlet NSSlider *attractorSlider;
    IBOutlet id escapeOnly;
    IBOutlet NSPopUpButton *Coloring;
    IBOutlet NSTextField *ImagPart;
    IBOutlet NSTextField *RealPart;
    IBOutlet NSTextField *Scale;
	IBOutlet NSTextField *RealC;
    IBOutlet NSTextField *ImagC;
    //IBOutlet NSSlider *zetaSlider;
	IBOutlet NSPopUpButton *ThdZeta;
	IBOutlet id showAngle;
    IBOutlet NSButton *Mobius;
    IBOutlet id crVal;
//    IBOutlet id fullTerms;
	IBOutlet NSTextField *Xm;
    IBOutlet NSTextField *Xn;
	IBOutlet id FlipXY;
	IBOutlet id dZswitch;
	IBOutlet id dooTerms;
	IBOutlet id useXi;
    IBOutlet id dooMel;
	
	NSWindow * window;
    NSBitmapImageRep * myImage;
	unsigned char bitmapData[2048*1536*3];
	unsigned char bitmapDatasav[2048*1536*3];
	int mandelrepeat;
	double _Complex zmap[2048*1536];
    volatile unsigned char * macbitmapData;
	NSRect frame;
    int num_threads, old_threads;
    int max_dwells;
    NSLock *workLock;
    volatile int lastLine;
    int lineTable[16384];
    int drawnTable[16384];
    int height;
	int mandel,fill;
    volatile int comp_sequence;
    volatile int total_dwells, acc_dwells;
    double viewX, viewY, viewStep,viewXj,viewYj,viewStepj;
    double originX, originY, escapeRadius, zetaTerms, attractorTerms;
    id threadMenu;
    id dwellMenu;
    id randomizerSwitch;
	id fillSwitch;
    id originSwitch;
    id escapeRadiusSlider;
    id clearSwitch;
    NSPoint mouseDownPoint, mouseDragPoint;
    NSRect mouseDragRect;
	NSTimer *myTimer;
    BOOL isSelecting, isDragging, orbtrap,crval,esconly,addc,dolog,sang, domoib, fullt,mell,flip,dzsw,usxi,thfl,chold; 
	int altnGamma, oldfn, dzet,doubsw;
	char *mystr;
	double Zrr,Zii;
	//NSinteger integer;
	//NSstring mst;
	int altcol,xm,xn;
	//int stbut;
	NSString *myfln;
	float movar[5003];


}
- (IBAction)doSBitmap:(id)sender;
- (IBAction)doTerms:(id)sender;
- (IBAction)doDwellMenu:(id)sender;
- (IBAction)doReportButton:(id)sender;
- (IBAction)doResetOriginButton:(id)sender;
- (IBAction)doThreadMenu:(id)sender;
//- (IBAction)keyDown:(id)sender;
- (IBAction)resetButton:(id)sender;
- (IBAction)startButton:(id)sender;
- (IBAction)doBitmap:(id)sender;
- (IBAction)doSave:(id)sender;
- (IBAction)doOpen:(id)sender;
- (IBAction)doMovie:(id)sender;
- (IBAction)doLoad:(id)sender;
- (IBAction)doMellin:(id)sender;

@end
